# Uses of Interface
org.apache.sling.discovery.base.connectors.announcement.AnnouncementFilter

Packages that use AnnouncementFilter
Package
Description
org.apache.sling.discovery.base.connectors.announcement
Provides topology announcement implementations for discovery implementors that choose to extend from discovery.base

## Uses of AnnouncementFilter in org.apache.sling.discovery.base.connectors.announcement

Methods in org.apache.sling.discovery.base.connectors.announcement with parameters of type AnnouncementFilter
Modifier and Type
Method
Description
`void`
AnnouncementRegistry.`addAllExcept(Announcement target, org.apache.sling.discovery.ClusterView localClusterView, AnnouncementFilter filter)`
Add all registered announcements to the given target announcement that are accepted by the given filter
`void`
AnnouncementRegistryImpl.`addAllExcept(Announcement target, org.apache.sling.discovery.ClusterView clusterView, AnnouncementFilter filter)`